// Formula-Beschreibungen

Ext.define('HeiseExt51.view.main.MainModel', {
    extend: 'Ext.app.ViewModel',

    alias: 'viewmodel.main',

    data: {
        name: 'HeiseExt51',
		isVisible: true
    },

	formulas: 
	{
        textString: {
            get: function (get) {
                var ret = get('name');
				
				if(get('isVisible'))
				{
					return ret + " sichtbar";
				}
				else
				{
					return ret + " versteckt";
				}
            },

            set: function (value) {
                var space = value.indexOf(' '),
                    split = (space < 0) ? value.length : space;

				var myVisiVar;
				if(value.substring(split + 1)=="versteckt")
				{
					myVisiVar=false;
				}
				else
				{
					myVisiVar=true;
				}

                this.set({
                    name: value.substring(0, split),
                    isVisible: myVisiVar
                });
            }
        }
    }
});



